---
- name: nvim | Clone personal Neovim configuration
  git:
    depth: 1
    repo: https://gitlab.com/folliehiyuki/nvim.git
    dest: '{{ xdg_dir.config_home }}/nvim'

# The default colorscheme is `nord`
- name: nvim | Switch the default colorscheme
  replace:
    path: '{{ xdg_dir.config_home }}/nvim/after/plugin/colors.lua'
    regexp: '(.*colorscheme\s+)nord(.*)$'
    replace: '\1{{ theme }}\2'
